# Interface IUpdateResultPreviewsManagerOptionsEventArgs

Executed when a {@link Suggestion} is focused before {@link PopulateSearchResultPreviews} is called to fetch more options.

## Index

### Properties

- displayAfterDuration

## Properties

### Optional displayAfterDuration

displayAfterDuration: number

- Defined in events/ResultPreviewsManagerEvents.ts :21

How many milliseconds should a {@link Suggestion} be focused for before {@link PopulateSearchResultPreviews} is called.

If this is not defined, it will default to 200ms.

### Hierarchy

- IUpdateResultPreviewsManagerOptionsEventArgs